PDA

View Full Version : Eclipse - PyDev can't seem to get it to work



gotquestions
May 3rd, 2007, 07:58 AM
I installed Eclipse, then PyDev. On Eclipse: Windows> Pref > PyDev > Interpreter Python
I put on Python interpreter:
/usr/bin/python
/usr/bin/python2.4
...later on it ask me if i want to add all those system libs. I said yes and it added a chunk of stuff to the System PYTHON PATH and Forced builtin libs.

So now I am back on the main page. I select: File > New > PyDevProject
I enter Project name. it says chose project type: I chose python 2.4 even thogh i have 2.3, 2.5
there is a checkbox that is checked. Create default 'src' folder and add it to the python path?

I click finished and I get this:
a popup box:
IDEWorkBenchMessages.CreateProjectWizard_errorTitl e

-Error storing pydev project descriptor:P/hello

So what am I doing wrong?

I am a beginner

skeeterbug
May 3rd, 2007, 06:12 PM
I installed Eclipse, then PyDev. On Eclipse: Windows> Pref > PyDev > Interpreter Python
I put on Python interpreter:
/usr/bin/python
/usr/bin/python2.4
...later on it ask me if i want to add all those system libs. I said yes and it added a chunk of stuff to the System PYTHON PATH and Forced builtin libs.

So now I am back on the main page. I select: File > New > PyDevProject
I enter Project name. it says chose project type: I chose python 2.4 even thogh i have 2.3, 2.5
there is a checkbox that is checked. Create default 'src' folder and add it to the python path?

I click finished and I get this:
a popup box:
IDEWorkBenchMessages.CreateProjectWizard_errorTitl e

-Error storing pydev project descriptor:P/hello

So what am I doing wrong?

I am a beginner

For your interpreter you put a path to python2.4, when you said you had 2.3/2.5 installed. Try doing:

$> python -V
$> whereis python

This should tell you what version you are using and where the executable is located. I only have PyDev installed on my Windows XP box so my interpreter path in PyDev is C:\python24\python.exe

gotquestions
May 4th, 2007, 06:02 AM
doesnt work.

cloud@cloud-desktop:~$ python -V
Python 2.4.3
cloud@cloud-desktop:~$ whereis python
python: /usr/bin/python /usr/bin/python2.4 /etc/python2.4 /usr/lib/python2.3 /us r/lib/python2.4 /usr/bin/X11/python /usr/bin/X11/python2.4 /usr/local/lib/python 2.4 /usr/include/python2.4 /usr/share/man/man1/python.1.gz

gotquestions
May 4th, 2007, 07:06 PM
help? i believe my interpreter is correct

bendowling
June 11th, 2007, 03:34 PM
help? i believe my interpreter is correct
What is the output of ls -l /usr/bin/python

pmasiar
June 11th, 2007, 04:10 PM
So what am I doing wrong?

I am a beginner

Are you required to use eclipse/pydev? maybe you want to try much simpler Python IDE, like IDLE or SPE - both are installed by synaptic without a glitch?